Notas da Versión de Debian 12 (bookworm), 32-bit MIPS (little endian)

Proxecto de Documentación Debian

Este programa é software libre: vostede pode redistribuílo e/ou modificalo baixo os termos da Licenza pública Xeral de GNU versión 2, publicada pola Free Software Foundation.

Este programa é distribuído coa esperanza de que sexa útil, pero SEN NINGUNHA GARANTÍA; nin sequera a garantía implícita de COMERCIALIDADE ou ADECUACIÓN PARA ALGÚN PROPÓSITO PARTICULAR. Consulte a Licenza Pública Xeral GNU para máis información.

Debería ter recibido unha copia da Licenza pública xeral GNU xunto con este programa; se non fora así, escríballe á Free Software Foundation Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

A licenza tamén pode consultarse en https://www.gnu.org/licenses/gpl-2.0.html e /usr/share/common-licenses/GPL-2 nos sistemas Debian.


Índice

1. Introdución
1.1. Avise de erros neste documentos
1.2. Colaborando con informes de actualización
1.3. Fontes deste documento
2. Novidades en Debian 12
2.1. Arquitecturas compatibles
2.2. Áreas do arquivo
2.3. Que novidades hai na distribución?
2.3.1. Ambientes de escritorios e paquetes famosos
2.3.2. Traducíronse máis páxinas do manual
2.3.3. Novas da Mestura Debian Med
2.3.4. Novas da Mestura Debian Astro
3. Instalación do Sistema
3.1. Que novidades hai no sistema de instalación?
3.2. Contedores e imaxes de Máquinas Virtuais
4. Actualizar dende Debian 11 (bullseye)
4.1. Prepararse para a actualización
4.1.1. Faga copias de seguridade dos seus datos e configuracións
4.1.2. Informe aos usuarios con tempo
4.1.3. Prepárese para desconectar os servizos
4.1.4. Preparase para a recuperación
4.1.5. Preparar un ambiente seguro para a actualización
4.2. Comezar a partir dun Debian « puro »
4.2.1. Actualizar a 11 (bullseye)
4.2.2. Actualizar á última versión punto
4.2.3. Backports de Debian
4.2.4. Preparar a base de datos de paquetes
4.2.5. Eliminar paquetes obsoletos
4.2.6. Eliminar os paquetes non provenientes de Debian
4.2.7. Eliminar ficheiros de configuración sobrantes
4.2.8. Os compoñentes non-free e non-free-firmware
4.2.9. Sección de actualizacións propostas
4.2.10. Fontes non oficiais
4.2.11. Desactivar bloqueos no APT
4.2.12. Asegúrese de que ten gpgv instalado
4.2.13. Comprobar o estado do paquete
4.3. Preparar os ficheiros de fontes de APT
4.3.1. Engadir fontes de Internet a APT
4.3.2. Engadir fontes APT dun servidor espello local
4.3.3. Engadir fontes APT dun medio óptico
4.4. Actualizar paquetes
4.4.1. Gravar a sesión
4.4.2. Actualizar a lista de paquetes
4.4.3. Asegúrese de que ten espazo dabondo para actualizar
4.4.4. Parar de supervisar sistemas
4.4.5. Actualización mínima do sistema
4.4.6. Actualizar o sistema
4.5. Problemas que poden ocorrer durante a actualización
4.5.1. Full-upgrade falla e salta con « Could not perform immediate configuration », ou con « Non foi posíbel facer a configuración inmediata »
4.5.2. Eliminacións esperadas
4.5.3. Conflitos ou bucles de dependencias
4.5.4. Conflitos de ficheiros
4.5.5. Cambios na configuración
4.5.6. Cambiar a sesión á consola
4.6. Actualizar o núcleo e paquetes relacionados
4.6.1. Instalar un núcleo coma metapaquete
4.7. Prepararse para a seguinte versión
4.7.1. Purgar paquetes eliminados
4.8. Paquetes obsoletos
4.8.1. Paquetes temporais alfaremes
5. Problemas a ter en conta con bookworm
5.1. Actualizar elementos específicos para bookworm
5.1.1. O «firmware» non libre moveuse a un compoñente do arquivo separado
5.1.2. Cambios aos paquetes que modifican o reloxo do sistema
5.1.3. Sistema de xestión de configuración «Puppet» actualizado á versión 7
5.1.4. yt-dlp substitúe a youtube-dl
5.1.5. Non se poderán instalar varias versións de fcitx en paralelo
5.1.6. Os nomes dos paquetes de MariaDB xa non inclúen os números da versión
5.1.7. Cambios no sistema de rexistros
5.1.8. Cambios en rsyslog que afectan a analistas de rexistros, por exemplo a logcheck
5.1.9. rsyslog creará menos ficheiros de rexistros
5.1.10. Pode que a actualización de slapd precise dunha intervención manual
5.1.11. GRUB xa non executa os-prober automáticamente
5.1.12. GNOME reduciu a accesibilidade de lectores de pantalla
5.1.13. Cambios na configuración de polkit
5.1.14. A partir de agora precisarase « /usr fusionado »
5.1.15. As actualizacións non permitidas dende buster fallan en libcrypt1
5.1.16. Cousas que facer despois da actualización antes de reiniciar
5.2. Cousas non exclusivas do proceso de actualización
5.2.1. Limitacións na asistencia técnica sobre seguridade
5.2.2. Intérpretes de Python marcados coma xestionados externamente
5.2.3. Compatibilidade limitada para a codificación/descodificación de vídeo acelerada por hardware en VLC
5.2.4. systemd-resolved foi separado a un novo paquete
5.2.5. systemd-boot foi separado a un novo paquete
5.2.6. systemd-journal-remote xa non usará GnuTLS
5.2.7. Moitas modificacións a adduser en bookworm
5.2.8. Nomeamento previsible das interfaces de rede de Xen
5.2.9. Cambios en como dash interpreta o acento circunflexo
5.2.10. netcat-openbsd é compatible con socket abstractos
5.3. Obsolescencia e deprecación
5.3.1. Paquetes obsoletos importantes
5.3.2. Compoñentes deprecados para bookworm
5.4. Fallos graves coñecidos
6. Máis información en Debian
6.1. Lecturas recomendadas
6.2. Obter axuda
6.2.1. Listas de correo
6.2.2. Internet Relay Chat (IRC)
6.3. Informar de erros
6.4. Colaborar con Debian
A. Xestionar o seu sistema bullseye antes de actualizar
A.1. Actualizando o seu sistema bullseye
A.2. Comproba os seus ficheiros de fontes APT
A.3. Eliminar ficheiros de configuración obsoletos
B. Contribuíntes das Notas da Versión
Índice
Glosario